org.apache.felix.ipojo.manipulator.util

## Class Strings

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.util.Strings

    public class Strings
    extends Object

`Strings` is a utility class that helps to manipulate String.

Author:
  Felix Project Team

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `asClassName(String path)` Transform a normalized resource path (org/objectweb/asm/Visitor.class) into a fully qualified class name (format org.objectweb.asm.Visitor).
`static String` `asResourcePath(String classname)` Transform a FQN of a class (format org.objectweb.asm.Visitor) into a normalized resource name (org/objectweb/asm/Visitor.class).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### asResourcePath

    public static String asResourcePath(String classname)

Transform a FQN of a class (format org.objectweb.asm.Visitor) into a normalized resource name (org/objectweb/asm/Visitor.class).

Parameters:
  `classname` - FQN of a class to be transformed
Returns:
  resource name

#### asClassName

    public static String asClassName(String path)

Transform a normalized resource path (org/objectweb/asm/Visitor.class) into a fully qualified class name (format org.objectweb.asm.Visitor).

Parameters:
  `path` - normalized resource path to be transformed
Returns:
  class name